Update Chatbot By IdAsk AIput https://api.droxy.ai/v1/chatbot/{id}Update a chatbot by it's id.Path ParamsidstringrequiredThe chatbot's id.Body ParamsnamestringThe chatbot's name.welcomeMessagestringThe chatbot's welcome message. Displayed when the chatbot is first opened.resourceIdsarray of stringsAn array of resource ids that the chatbot can use.resourceIdsADD stringchatbotMessageColorstringThe HEX background color of the chatbot's messages. Will default to #F6F7F8.userMessageColorstringThe HEX background color of the user's messages. Will default to #E0EEFA.conversationBackgroundColorstringThe HEX color of the chatbot's background color behind the messages of the selected conversation. Will default to #FFFFFF.secondaryBackgroundColorstringThe HEX color of the chatbot's secondary background color. Will default to #F6F7F8.gradientColorsstringThe HEX color of the chatbot's gradient color. Set to empty string to remove the gradient.showBadgebooleanWhether or not the chatbot should show the badge. Will default to false.truefalseenabledEmojibooleanWhether or not the chatbot should use emojis.truefalsecustomSystemPromptstringThe custom system prompt the chatbot uses. This defines the behavior of the chatbot.modelstringThe model the chatbot uses. Values can be 'gpt-4o-mini' | 'gpt-4-turbo-preview' |'gpt-4'.restrictAnswersToResourcesContentResponsestringAnswer the chatbot must return if information is not found in the resources. If not set, the chatbot will not be restricted to the knowledge from the resources.accessLevelstringThe access level of the chatbot. Values can be 'PUBLIC' | 'PRIVATE' | 'PROTECTED'.tagsarray of stringsTags to assign.tagsADD stringpasswordstringIf the chatbot is private, the password to access it. Must be at least 8 characters long and contain at least one uppercase letter, one lowercase letter, one number and one special character.Responses 200OK 400Bad Request 401Unauthorized 403Forbidden 404Element not found 500Internal Server ErrorUpdated over 2 years ago